Forum: Android

Here is a forum space for SDK: Android.

127. couldn't find "libDenoiser.so"

Hello, we try to add proptt2 to our application, but at the initialization step we get the following error:
java.lang.UnsatisfiedLinkError: dalvik.system.PathClassLoader[DexPathList[[zip file "/data/app/aap.com.vemsapp-5/base.apk"],nativeLibraryDirectories=[/data/app/aap.com.vemsapp-5/lib/arm64, /data/app/aap.com.vemsapp-5/base.apk!/lib/arm64-v8a, /system/lib64, /vendor/lib64]]] couldn't find "libDenoiser.so"

We do not on the emulator. We run this application on the device.

What we need to do?

Mar 4 '20 at 09:29 (GMT0) created by Alexandr

 
Dear Alexandr,
Right, current SDK don't support the emulator.
The next version would support Android 64bit emulator in this month.
Thanks,
ProPTT2.

Mar 4 '20 at 11:10 (GMT0) created by ProPTT2 dev

 
 
I wrote that we do not use an emulator.
We have a problem on a device without an emulator.

Mar 4 '20 at 11:56 (GMT0) created by Alexandr

 
 
This is removed.

Mar 5 '20 at 04:15 (GMT0) created by Alexandr

 
Right, current Android SDK don't support 64bit.
Google forced the 64bit at Aug 2019.
But the SDK is a previous version.
So next version will be support that.
ProPTT2

Mar 4 '20 at 12:06 (GMT0) created by ProPTT2 dev

 
 
Ok.
But, why your example "HelloPTT" starting on my device and working normally?

Mar 5 '20 at 04:17 (GMT0) created by Alexandr

 
I think it would work on 32bit mode.
Normally device can support 64bit and 32bit both.
Thanks.
ProPTT2

Mar 5 '20 at 04:34 (GMT0) created by ProPTT2 dev